seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/13, 09:07:34


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: php5-sasl wurde entfernt  (Read 3503 times)

0 Members and 1 Guest are viewing this topic.

Offline Tom71

  • User
  • Posts: 7
php5-sasl wurde entfernt
« on: 2013/06/08, 12:15:34 »
Hallo,

beim letzten d-u wurde php5-sasl entfernt und kann nun nicht mehr installiert werden. Beim Versuch der Installation erhalte ich:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 php5-sasl : Hängt ab von: phpapi-20100525 ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

Gibt es schon Abhilfe?

Besten Dank,
Tom71

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.377
php5-sasl wurde entfernt
« Reply #1 on: 2013/06/08, 12:38:33 »
phpapi-20100525 ist ein virtuelle Paket, das es in unstsable nicht mehr gibt. Von daher müssen einige andere Pakete, wie libapache2-mod-php5, libapache2-mod-php5filter, php5-cgi, und andere neu gebaut werden. sollte nicht allzu lange dauern.

greetz
devil

Offline michaa7

  • User
  • Posts: 2.126
php5-sasl wurde entfernt
« Reply #2 on: 2013/06/08, 12:38:52 »
From reading the output of
apt-get install phpapi-20100525+lfs -s
I *assume* this (virtual!) packages is completely outdated and maybe will never come back. The best solution seems to file a bug report (vs. php5-sasl) or contact it's author directly (see: apt-cache show php5-sasl).
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline ab

  • User
  • Posts: 117
php5-sasl wurde entfernt
« Reply #3 on: 2013/06/08, 12:49:05 »
Moin

php5-sasl ist ein PHP-Modul.

Brauchst Du das zwingend? Sonst könnte:
Code: [Select]
apt-get --purge remove php5-sasldie Lösung sein.

gruß ab

EDIT: typo

Offline Tom71

  • User
  • Posts: 7
php5-sasl wurde entfernt
« Reply #4 on: 2013/06/09, 13:45:27 »
Danke für die schnellen Antworten :)

@ab:
Wenn ich die folgende Fehlermeldung auch anders abschalten kann, kann ich auf das Paket verzichten. ansonsten warte ich halt noch etwas, bis ich es wieder intallieren kann ;)

Fehlermeldung:
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/sasl.so' - /usr/lib/php5/20121212/sasl.so: cannot open shared object file: No such file or directory in Unknown on line 0

Grüße,
Tom

Offline ab

  • User
  • Posts: 117
php5-sasl wurde entfernt
« Reply #5 on: 2013/06/09, 21:47:39 »
@Tom71

Quote from: "Tom71"
Danke für die schnellen Antworten :)

@ab:
Wenn ich die folgende Fehlermeldung auch anders abschalten kann, kann ich auf das Paket verzichten. ansonsten warte ich halt noch etwas, bis ich es wieder intallieren kann ;)
Das habe ich jetzt nicht ganz verstanden.

Quote
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/sasl.so' - /usr/lib/php5/20121212/sasl.so: cannot open shared object file: No such file or directory in Unknown on line 0
Wofür benötigst Du die Erweiterung?
Ich frage deshalb, weil per se sind bei Installation m.W. nur php5-cgi und php5-common dabei.

In welchem Zusammenhang entsteht diese Fehlermeldung, bzw, wann tritt sie wo auf?

Gib bitte mal die Ausgabe:
Code: [Select]
dpkg --list | grep -i php

gruß ab

Offline Tom71

  • User
  • Posts: 7
php5-sasl wurde entfernt
« Reply #6 on: 2013/06/10, 10:52:30 »
Hallo ab,

also die Ausgabe bringt folgendes:

Code: [Select]
dpkg --list | grep -i php
ii  libapache2-mod-php5                                     5.5.0~rc2+dfsg-2                   amd64        server-side, HTML-embedded scripting language (Apache 2 module)
ii  php-auth-sasl                                           1.0.4-1                            all          Abstraction of various SASL mechanism responses
ii  php-pear                                                5.5.0~rc2+dfsg-2                   all          PEAR - PHP Extension and Application Repository
ii  php-xml-parser                                          1.3.4-6                            all          PHP PEAR module for parsing XML
ii  php5                                                    5.5.0~rc2+dfsg-2                   all          server-side, HTML-embedded scripting language (metapackage)
ii  php5-cgi                                                5.5.0~rc2+dfsg-2                   amd64        server-side, HTML-embedded scripting language (CGI binary)
ii  php5-cli                                                5.5.0~rc2+dfsg-2                   amd64        command-line interpreter for the php5 scripting language
ii  php5-common                                             5.5.0~rc2+dfsg-2                   amd64        Common files for packages built from the php5 source
ii  php5-curl                                               5.5.0~rc2+dfsg-2                   amd64        CURL module for php5
ii  php5-gd                                                 5.5.0~rc2+dfsg-2                   amd64        GD module for php5
ii  php5-intl                                               5.5.0~rc2+dfsg-2                   amd64        internationalisation module for php5
ii  php5-json                                               0~git~1+c05ebf+dfsg-2              amd64        JSON module for php5
ii  php5-mysql                                              5.5.0~rc2+dfsg-2                   amd64        MySQL module for php5
rc  php5-sasl                                               0.1.0-1.2+b1                       amd64        Cyrus SASL extension for PHP 5



Ich habe hier einen PC, welcher von ausserhalb durch einen dyndns-Account erreichbar ist. Unter anderem läuft hier drauf ein Mail-Server (Postfix + Dovecot) sowie der Apache mit SSL. Auch einen pop3s und imap läuft hier.
Das ganze hat mehr oder weniger den Grund, dass ich selbst von ausserhalb auf meine Daten zugreifen kann z.B.durch WebMail, welche ich aber noch nicht installiert habe. Seit neuestem läuft hier auch eine Owncloud, da ich lieber meine Daten selbst verwalte, bevor ich sie in irgendeine Cloud hoch lade.

In wiefern ich den php5-sasl dazu benötige, denke ich mal, dass es mit den verschiedenen Authentifizierungen zu tun hat.

Dieser "Fehler" (Information) tritt alle 30 Minuten auf und wird als eMail an root gesendet. Der Absender ist der Cron Daemon.

Besten Dank,
Tom

Offline ab

  • User
  • Posts: 117
php5-sasl wurde entfernt
« Reply #7 on: 2013/06/10, 22:17:32 »
@Tom71

Hmm.., Installieren geht hier (virtuelle Maschine) einwandfrei:
Code: [Select]
root@clonezillatest:/home/axel# apt-get install php5-sasl
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.      
Statusinformationen werden eingelesen.... Fertig
Die folgenden NEUEN Pakete werden installiert:
  php5-sasl
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 466 nicht aktualisiert.
Es müssen 11,4 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 24,6 kB Plattenplatz zusätzlich benutzt.
Holen: 1 http://http.debian.net/debian/ unstable/main php5-sasl amd64 0.1.0-1.2+b1 [11,4 kB]
Es wurden 11,4 kB in 0 s geholt (48,4 kB/s).
Vormals nicht ausgewähltes Paket php5-sasl wird gewählt.
(Lese Datenbank ... 115030 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacken von php5-sasl (aus .../php5-sasl_0.1.0-1.2+b1_amd64.deb) ...
Trigger für siduction-dynamic-dms werden verarbeitet ...
php5-sasl (0.1.0-1.2+b1) wird eingerichtet ...
Trigger für siduction-dynamic-dms werden verarbeitet ...

..................

root@clonezillatest:/home/axel# dpkg --list | grep -i php
ii  php5-cgi                                             5.4.15-1                            amd64        server-side, HTML-embedded scripting language (CGI binary)
ii  php5-common                                          5.4.15-1                            amd64        Common files for packages built from the php5 source
ii  php5-sasl                                            0.1.0-1.2+b1                        amd64        Cyrus SASL extension for PHP 5


entfernen geht auch...
Code: [Select]
root@clonezillatest:/home/axel# apt-get --purge remove php5-sasl
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.      
Statusinformationen werden eingelesen.... Fertig
Die folgenden Pakete werden ENTFERNT:
  php5-sasl*
0 aktualisiert, 0 neu installiert, 1 zu entfernen und 466 nicht aktualisiert.
Nach dieser Operation werden 24,6 kB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]? J
(Lese Datenbank ... 115036 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von php5-sasl ...
Löschen der Konfigurationsdateien von php5-sasl ...
Trigger für siduction-dynamic-dms werden verarbeitet ...

..................

root@clonezillatest:/home/axel# dpkg --list | grep -i php
ii  php5-cgi                                             5.4.15-1                            amd64        server-side, HTML-embedded scripting language (CGI binary)
ii  php5-common                                          5.4.15-1                            amd64        Common files for packages built from the php5 source
root@clonezillatest:/home/axel#


Probier bitte nochmal:
Code: [Select]
apt-get update && apt-get install php5-sasl


gruss ab

Offline rolandx1

  • User
  • Posts: 122
php5-sasl wurde entfernt
« Reply #8 on: 2013/06/11, 05:26:35 »
war bei mir auch so und konnte ich auch durch erneut installieren lösen.

Offline Tom71

  • User
  • Posts: 7
php5-sasl wurde entfernt
« Reply #9 on: 2013/06/15, 13:45:37 »
Hallo ab und rolandx1,

also ich bekomme es nicht installiert. Habe jetzt aber das Paket php5-sasl deinstalliert und bekomme nun auch nicht mehr die Mails mit den Informationen (Fehlermeldungen).

Ich werde also mal abwarten, ob ich das Paket überhaupt brauche.

Danke auf jeden Fall für eure Hilfen :)

Grüße,
Tom